Page MenuHomePhabricator

FlaggedRevs uses deprecated attribute "width" on diff pages
Closed, ResolvedPublic

Description

Some HTML in the FlaggedRevs extension uses the width attribute which is deprecated in HTML5. It should use CSS instead (style="width: 50%;)

$:andre\> pwd
/home/user/wikimedia/git/mediawiki-extensions/FlaggedRevs
$:andre\> git branch
* master
$:andre\> grep -r "align=" .
$:andre\> grep -r "width=" .
./frontend/FlaggablePageView.php:		"<table border='0' width='98%' cellpadding='0' cellspacing='4' class='$tableClass'>" .
./frontend/FlaggablePageView.php:		"<td colspan='2' width='50%' style='text-align: center;' class='diff-otitle'><b>" .
./frontend/FlaggablePageView.php:		"<td colspan='2' width='50%' style='text-align: center;' class='diff-ntitle'><b>" .
./frontend/FlaggablePageView.php:		$table .= "<td width='50%' style='text-align: center;'>";
./frontend/FlaggablePageView.php:		$table .= "</td><td width='50%' style='text-align: center;'>";

Details

Reference
bz40211

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:50 AM
bzimport set Reference to bz40211.
bzimport added a subscriber: Unknown Object (MLST).
Schnark created this task.Sep 13 2012, 8:05 AM

There also is an align=center around the "(View all pending changes)".

Reedy updated the task description. (Show Details)Oct 16 2016, 6:50 PM
Reedy set Security to None.
Reedy removed a subscriber: wikibugs-l-list.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 16 2016, 6:50 PM
Aklapper renamed this task from FR uses deprecated attributes align and width on diff pages to FlaggedRevs uses deprecated attribute "width" on diff pages.Dec 22 2016, 1:10 PM
Aklapper added a project: Google-Code-In-2016.
Aklapper updated the task description. (Show Details)
Aklapper updated the task description. (Show Details)
Aklapper added a subscriber: Aklapper.

("align" seems to have gotten replaced in the meantime since this task was created.)
I'll mentor this in GCI 2016.

Change 329701 had a related patch set uploaded (by MtDu):
Replace deprecated attribute "width" with CSS "width" property

https://gerrit.wikimedia.org/r/329701

MtDu claimed this task.Dec 30 2016, 8:06 PM
MtDu added subscribers: Fomafix, Florian, MtDu.

@Florian, @Aklapper,
I have pushed a patch. See above. Thanks to @Fomafix for the review! Please take a look when you can.
Thanks!

Florian closed this task as Resolved.Dec 31 2016, 8:45 AM

Change 329701 merged by jenkins-bot:
Replace deprecated attribute "width" with CSS "width" property

https://gerrit.wikimedia.org/r/329701